/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TTableListBox_h_
#define _TTableListBox_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
class TTableListBox : public TableListBox, TableListBoxModel
{
public:
    TTableListBox(const String& sName = String::empty, TableListBoxModel* pModel = 0);
    ~TTableListBox();

    int getNumRows();
    // Рисует фон строки
    void paintRowBackground(Graphics&, int, int, int, bool);
    // Рисует ячейку таблицы
    void paintCell(Graphics&, int, int, int, int, bool);
    // Функция обработки двойного щелчка по ячейки
    void cellDoubleClicked(int, int, const MouseEvent&);
    // Функция обработки щелчка по свободному от ячеек
    // пространству таблицы
    void backgroundClicked();
    
private:
    String sCells[4][5];
    // Предотвращает создание копии конструктора и оператора =
    TTableListBox(const TTableListBox&);
    const TTableListBox& operator= (const TTableListBox&);
};
//---------------------------------------------------------------------
#endif
