/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TListBox_h_
#define _TListBox_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
class TListBox : public ListBox, ListBoxModel
{
public:
    TListBox(const String& sName = String::empty, ListBoxModel* pModel = 0);
    ~TListBox();
    
    // Получаем число строк в списке
    int getNumRows();
    // Функция, рисующая каждый из элементов списка
    void paintListBoxItem(int, Graphics&, int, int, bool);
    
private:
    
    // Предотвращает создание копии конструктора и оператора =
    TListBox(const TListBox&);
    const TListBox& operator= (const TListBox&);
};
//---------------------------------------------------------------------
#endif
